#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python3
#-----------------------------------------------------------------------------
Name		:	gnome-doc-utils
Version		:	0.20.10
Release		:	14.8.0.0%{?dist}
Summary		:	Documentation utilities for GNOME
Group		:	Development/Tools

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	http://ftp.gnome.org/pub/gnome/sources/gnome-doc-utils

Source0		:	%{name}-%{version}.tar.xz
Patch0		:	%{name}-%{version}-python3.patch
#-----------------------------------------------------------------------------
BuildRequires	:	intltool
BuildRequires	:	libxslt
BuildRequires	:	which
BuildRequires	:	python3-libxml2

BuildArch	:	noarch

Requires(post)	:	%{_bindir}/gtk-update-icon-cache
#-----------------------------------------------------------------------------
%description
'%{name}' is a collection of documentation utilities for the
GNOME project. Notably, it contains utilities for building
documentation and all auxiliary files in your source tree.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_bindir}/gnome-doc-prepare
%{_bindir}/gnome-doc-tool
%{_bindir}/xml2po
%{_datadir}/pkgconfig/%{name}.pc
%{_datadir}/pkgconfig/xml2po.pc
%{python3_sitelib}/xml2po/*.py*
%{python3_sitelib}/xml2po/__pycache__/*.pyc
%{python3_sitelib}/xml2po/modes/*.py*
%{python3_sitelib}/xml2po/modes/__pycache__/*.pyc
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/aclocal/%{name}.m4
%{_datadir}/%{name}/%{name}.make
%{_datadir}/%{name}/template-document.xml
%{_datadir}/%{name}/template.*
%{_datadir}/%{name}/templates/*.xml
%{_datadir}/%{name}/icons/hicolor/*/*/*.{png,svg}
%{_datadir}/%{name}/watermarks/*.png
%{_datadir}/gnome/help/gnome-doc-make/*/*.xml
%{_datadir}/gnome/help/gnome-doc-xslt/*/*.{xml,xsl}
%{_datadir}/xml/gnome/xslt/common/*.xsl
%{_datadir}/xml/gnome/xslt/docbook/*/*.xsl
%{_datadir}/xml/gnome/xslt/gettext/*.{xml,xsl}
%{_datadir}/xml/gnome/xslt/mallard/*/*.xsl
%{_datadir}/xml/mallard/1.0/mallard.{rnc,rng}
%{_mandir}/man1/xml2po.1.gz

#-----------------------------------------------------------------------------
%postun
if [ "$1" = 0 ]; then
  %{_bindir}/gtk-update-icon-cache -t --quiet %{_datadir}/%{name}/icons/hicolor
  fi
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig
%{_bindir}/gtk-update-icon-cache -t --quiet %{_datadir}/%{name}/icons/hicolor

#=============================================================================
%prep
%setup -q
%patch0 -p1

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\

%{__make}						\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#-----------------------------------------------------------------------------
%changelog
